﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Motorcycle
{
    public class Motorcycle
    {
        private string nameOfMotor;
        private int buildYear;
        private int topSpeed;
        private int horsePower;

        public int randomNumber(int min, int max)
        {
            Random ran = new Random();
            return ran.Next(min, max);
        }

        public Motorcycle()
        {
            nameOfMotor = "N/A";
        }

        public Motorcycle(string nameofMotorCycle)
        {
            this.nameOfMotor = nameofMotorCycle;
            this.buildYear = randomNumber(1920, 2010);
            this.topSpeed = randomNumber(6, 10) * 10;
            this.horsePower = topSpeed * 2;
        }

        public void printCycle()
        {
            Console.WriteLine("Name: " + nameOfMotor);
            Console.WriteLine("Date of build: " + buildYear);
            Console.WriteLine("Topspeed: " + topSpeed);
            Console.WriteLine("Horsepower: " + horsePower);
        }

        public string getStringCycle()
        {
            return "Name of motorcycle: " + nameOfMotor + System.Environment.NewLine + "Date of build: " + buildYear + System.Environment.NewLine + "Topspeed: " + topSpeed;
        }

        public string getSpeed()
        {
            return topSpeed.ToString();
        }

        public string getHorsePower()
        {
            return horsePower.ToString();
        }

        public void addSpeed(int amount)
        {
            topSpeed += amount;
        }

        public void addHorsePower(int amount)
        {
            horsePower += amount;
        }
    }
}
